package starmap

import (
	"b612.me/notify"
)

func (kv *RemoteKv) getMap(data notify.SMsg) string {
	val, ok := kvMapPro[data.Value]
	if !ok {
		data.Key = "error"
		data.Reply("key not exists")
		return ""
	}
	encodeData, err := encodeMap(val)
	if err != nil {
		data.Key = "error"
		data.Reply(err.Error())
		return ""
	}
	return string(encodeData)
}

func (kv *RemoteKv) storeMap(data notify.SMsg) string {
	recvData, err := decodeMap([]byte(data.Value))
	if err != nil {
		data.Key = "error"
		data.Reply(err.Error())
		return ""
	}
	err = StoreMap(recvData)
	if err != nil {
		data.Key = "error"
		data.Reply(err.Error())
		return ""
	}
	return "ok"
}

func (kv *RemoteKv) deleteMap(data notify.SMsg) string {
	delete(kvMapPro, data.Value)
	return "ok"
}
